org.deidentifier.arx.exceptions

## Class RollbackRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.deidentifier.arx.exceptions.RollbackRequiredException

All Implemented Interfaces:
  java.io.Serializable

    public class RollbackRequiredException
    extends java.lang.Exception

This exception is raised if the method that was called has left output data in an inconsistent state that may breach privacy. To ensure privacy you must roll-back the operation that has been performed.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RollbackRequiredException()` Constructor
`RollbackRequiredException(java.lang.String message, java.lang.Throwable cause)` Constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RollbackRequiredException

    public RollbackRequiredException()

Constructor

#### RollbackRequiredException

    public RollbackRequiredException(java.lang.String message,
                                     java.lang.Throwable cause)

Constructor

Parameters:
  `message` -
  `cause` -